/* David Leonard, 2002. Public domain. */

/* Macros to use syslog instead of <err.h> functions */

#define err(e, m, a...) \
	do { syslog(LOG_ERR, m ": %m" , ## a); exit(e); } while (0)
#define errx(e, m, a...) \
	do { syslog(LOG_ERR, m , ## a); exit(e); } while (0)
#define warn(m, a...) \
	syslog(LOG_WARNING, m ": %m" , ## a)
#define warnx(m, a...) \
	syslog(LOG_WARNING, m , ## a);
